import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_doctor_api.web_request import web_request


class TestArtemisOrderIdDetail:
    data = BaseRequest().api_load(path_setting.ORDERIDDETAIL)
    orderiddetail_case, orderiddetail_data = get_ids(data, "artemis_order_id_detail")


    @pytest.mark.parametrize("param",orderiddetail_data,ids=orderiddetail_case)
    def test_artemis_order_id_detail(self, param):
        '''我的服务订单'''
        r = web_request().artemis_order_id_detail()
        if r["error"] == 0:
            assert r["data"]["detail_type"] == param["assert_detail_type"]
            assert r["data"]["status"] == param["assert_status"]




